Subject: bug#49039: Aspell in Emacs

From: [email-masked]
Date: Tue, 15 Jun 2021 19:00:13 +0200 (CEST)

>From: Eli Zaretskii <[email-masked]>
>To: [email-masked]
>Subject: bug#49039: Aspell in Emacs
>Date: 15/06/2021 17:26:19 Europe/Paris
>Cc: [email-masked]

>> From: [email-masked]
>> Cc: [email-masked]
>> Date: Tue, 15 Jun 2021 17:09:32 +0200 (CEST)
>> 
>> Currently, I can only find a brief mention in
>> 
>> 16.4 Checking and Correcting Spelling

>It isn't a brief mention, it's a whole section dedicated to
>spell-checking commands.

There is no mention of ispell-program-name actually.

>> It is unfortunate that emacs are still uses the name "ispell" because it erroneously
>> makes believe that one is making use of ispell, even thogh one in using ispell.

>If you read that section, you will realize that "ispell" is the name
>of the Lisp package, and does not mean we only use "ispell" the
>program. That section says so at its very beginning.

That can be highly confusing because it is very easy to confuse with ispell the program,

and to understand that ispell is actually aspell (or anything you want for that matter).

>> Would you seriously consider have a generic spell framework for emacs that
>> one can set up to use ispell, aspell etc.

>We already have such a generic framework.

It looks to me that it is basically a hack of ispell, likely the result that it was easier 

and quicker for the developer to do it that way.  Correct me if I am wrong.

>> In my opinion, the default should be set
>> to use aspell because its manual says that it ought to do a superior job and is intended
>> to replace ispell. 

>The default is already aspell:

>(defcustom ispell-program-name
>(or (executable-find "aspell")
>(executable-find "ispell")
>(executable-find "hunspell")
>"ispell")

>As you see, Emacs looks for a program in the order shown above, with
>aspell being the first one.

Had tried lookinf for the self documentation for ispell-program-name, but could not 

access anything.  Indeed I had to file a report for people to tell me this.

>> Does one use the command this way
>> 
>> (setq ispell-program-name "aspell)
>> 
>> or this way
>> 
>> (setq ispell-program-name "/usr/bin/aspell")

>If aspell is on PATH, it doesn't matter which form you use. If it is

>not on PATH, then you should use the absolute file name.

Would you also say that the information is in the manual?

Many Gratitudes.